| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
SbVec4ub Class Reference

`#include <Inventor/SbVec4ub.h>`

## Public Member Functions

| SbVec4ub (const uint8_t v[4])
| SbVec4ub (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
| SbVec4ub (const SbVec4b &v)
| SbVec4ub (const SbVec4us &v)
| SbVec4ub (const SbVec4ui32 &v)
SbVec4ub & | setValue (const uint8_t v[4])
SbVec4ub & | setValue (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
SbVec4ub & | setValue (const SbVec4b &v)
SbVec4ub & | setValue (const SbVec4us &v)
SbVec4ub & | setValue (const SbVec4ui32 &v)
const uint8_t * | getValue (void) const
void | getValue (uint8_t &x, uint8_t &y, uint8_t &z, uint8_t &w) const
uint8_t & | operator[] (int i)
const uint8_t & | operator[] (int i) const
int32_t | dot (SbVec4ub v) const
void | negate (void)
SbVec4ub & | operator*= (int d)
SbVec4ub & | operator*= (double d)
SbVec4ub & | operator/= (int d)
SbVec4ub & | operator/= (double d)
SbVec4ub & | operator+= (SbVec4ub v)
SbVec4ub & | operator-= (SbVec4ub v)
SbVec4ub | operator- (void) const

## Protected Attributes

uint8_t | vec [4]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec4ub.h
- SbVec4ub.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.